Packages - Bug #1597
[ring-client-gnome][ring-Irc][ring-daemon]: need renaming
2018-01-01 06:38 AM - bill-auger

Status: fixed % Done: 100%
Priority: bug

Assignee: lukeshu

Category:

Description

arch is now packaging the full ring suite but using the AUR names for 'ring-Irc' and 'ring-client-gnome' that the parabola build is
specified to "replaces" - this is now causing a conflict preventing “‘pacman -Syu” because 'ring-daemon' is now a version ahead of the
parabola builds 'ring-Irc' and 'ring-client-gnome' that depend on it and can not be satisfied for anyone who has these installed today

the arch PKGBUILDs appear noticeably simpler and do not define 'SOURCE_DATE_EPOCH ' so it should be decided whether to
keep maintaining it or to send patches upstream

in any case either 'ring-Irc' and 'ring-client-gnome' need to be renamed to 'libringclient' and 'gnome-ring' and "replaces" their old
packages - or the parabola 'ring-daemon' needs to be renamed in order to to conflict with the arch build

History

#1 - 2018-01-01 06:41 AM - bill-auger

- Description updated

#2 - 2018-01-10 05:51 AM - oaken-source

does it make sense to maintain our own set of ring applications?
can't we just drop them and refer people to the arch packages, and write a news post as an upgrade guide?

#3 - 2018-01-10 07:46 AM - bill-auger

there is probably no reason to maintain ring anymore and i think it could be done without user intervention as described in the OP - but lukeshu is the
maintainer so i figure he should decide how to handle it because the build recipes are so different

#4 - 2018-01-15 11:25 PM - ToffeeYogurtPots

Agreed, there's no reason to maintain a separate version of any of the ring packages, unless it needed a nonprism version for whatever reason.

community/ring-gnome now also exists as of 14/01/2018

#5 - 2018-02-14 12:50 AM - lukeshu

agree, dropping our ring package

#6 - 2018-02-14 12:57 AM - lukeshu
- % Done changed from 0 to 100

- Status changed from open to fixed

dropped
